﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SilverlightWithUserControls
{
	public partial class Four : UserControl
	{
		public Four()
		{
			InitializeComponent();

			ObservableCollection<TreeItemViewModel> items = new ObservableCollection<TreeItemViewModel>();
			var item1 = new TreeItemViewModel { Header = "1" };
			var item11 = new TreeItemViewModel { Header = "1.1" };
			item11.Children.Add(new TreeItemViewModel { Header = "1.1.1" });
			item1.Children.Add(item11);
			item1.Children.Add(new TreeItemViewModel { Header = "1.2" });
			item1.Children.Add(new TreeItemViewModel { Header = "1.3" });
			item1.Children.Add(new TreeItemViewModel { Header = "1.4" });
			item1.Children.Add(new TreeItemViewModel { Header = "1.5" });
			items.Add(item1);
			items.Add(new TreeItemViewModel { Header = "2" });
			items.Add(new TreeItemViewModel { Header = "3" });
			items.Add(new TreeItemViewModel { Header = "4" });
			items.Add(new TreeItemViewModel { Header = "5" });

			this.myTreeView.ItemsSource = items;
		}
	}

	public class TreeItemViewModel
	{
		private ObservableCollection<TreeItemViewModel> children = new ObservableCollection<TreeItemViewModel>();

		public string Header { get; set; }

		public ObservableCollection<TreeItemViewModel> Children
		{
			get
			{
				return this.children;
			}
		}
	}
}
