﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightWithUserControls
{
	public partial class One : UserControl
	{
		public One()
		{
			InitializeComponent();

			this.LoadData();
		}

		private void LoadData()
		{
			List<GridItem> items = new List<GridItem>();
			for (int i = 0; i < 20; i++)
			{
				items.Add(new GridItem() { FirstCol = i + " FirstCol", SecondCol = i + " SecondCol", ThirdCol = i + " ThirdCol" });
			}

			this.gridView.ItemsSource = items;
		}
	}

	public class GridItem
	{
		public string FirstCol { get; set; }
		public string SecondCol { get; set; }
		public string ThirdCol { get; set; }
	}
}
